%define modname zookeeper
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B09_%{modname}.ini

Summary:	PHP extension for interfacing with Apache ZooKeeper
Name:		php-%{modname}
Version:	0.2.1
Release:	%mkrel 10
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/zookeeper/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		zend.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	zookeeper-devel >= 3

%description
This extension provides API for communicating with ZooKeeper service.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0  -p1 -b .zend

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild



phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF


%files 
%doc CREDITS ChangeLog LICENSE README.markdown zookeeper-api.php package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 0.2.1-10.mga3
+ Revision: 393384
- rebuilt for php-5.4.11

* Thu Jan 17 2013 spuhler <spuhler> 0.2.1-9.mga3
+ Revision: 388996
- added zend patch

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.2.1-9.mga2
+ Revision: 223959
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 0.2.1-8.mga2
+ Revision: 199796
- upgrade to 0.2.1

* Mon Feb 07 2011 spuhler <spuhler> 0.1.0-8.mga1
+ Revision: 48356
- removed buildroot definition from .spec
- imported package php-zookeeper

